curl --request PATCH \
--url https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/conversations/{conversationId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Client Support",
"status": "ACTIVE",
"participants": {
"externals": {
"add": [
{
"identifier": "<string>",
"messageProviderType": "WHATSAPP",
"providerChannelId": "<string>"
}
],
"remove": [
{
"identifier": "<string>",
"messageProviderType": "WHATSAPP",
"providerChannelId": "<string>"
}
]
},
"internals": {
"add": [
{
"identifier": "<string>"
}
],
"remove": [
{
"identifier": "<string>"
}
]
}
}
}
'import requests
url = "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/conversations/{conversationId}"
payload = {
"name": "Client Support",
"status": "ACTIVE",
"participants": {
"externals": {
"add": [
{
"identifier": "<string>",
"messageProviderType": "WHATSAPP",
"providerChannelId": "<string>"
}
],
"remove": [
{
"identifier": "<string>",
"messageProviderType": "WHATSAPP",
"providerChannelId": "<string>"
}
]
},
"internals": {
"add": [{ "identifier": "<string>" }],
"remove": [{ "identifier": "<string>" }]
}
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Client Support',
status: 'ACTIVE',
participants: {
externals: {
add: [
{
identifier: '<string>',
messageProviderType: 'WHATSAPP',
providerChannelId: '<string>'
}
],
remove: [
{
identifier: '<string>',
messageProviderType: 'WHATSAPP',
providerChannelId: '<string>'
}
]
},
internals: {add: [{identifier: '<string>'}], remove: [{identifier: '<string>'}]}
}
})
};
fetch('https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspaceId": "<string>",
"participants": {
"externals": [
{
"identifier": "<string>",
"joinedAt": "2023-11-07T05:31:56Z",
"lastSeenAt": null
}
],
"internals": [
{
"identifier": "<string>",
"joinedAt": "2023-11-07T05:31:56Z",
"lastSeenAt": null
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "Bridge Support Team",
"status": "ACTIVE"
}Update conversation
Update conversation details including participants, status, and name.
Support partial updates - only include the fields you want to change.
Authorizations
Copy the API key as provided by the Bridge Console.
Path Parameters
Unique identifier of the workspace (UUID v4).
"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"
Unique identifier of the conversation (UUID v4).
"4e362e2b-67b2-4a7e-a9df-e9ecf9141be8"
Body
Request body for updating an existing conversation.
Optional name/title for the conversation.
"Client Support"
Initial conversation status - 'active' for visible conversations, 'ghost' for invisible until first interaction.
ACTIVE, GHOST, RELEASED, NOT_ASSIGNED_TO_HUMAN, BLOCKED "ACTIVE"
Request body for participant operations when updating a conversation.
Show child attributes
Show child attributes
Response
Successful Response
Response body for conversation details.
Unique identifier of the conversation (UUID v4).
"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"
Unique identifier of the workspace (UUID v4).
"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"
Participants of the conversation.
Show child attributes
Show child attributes
Timestamp when the conversation was created.
"2003-04-10T09:00:00.000Z"
Timestamp when the conversation was last updated.
"2003-04-10T09:00:00.000Z"
Optional name/title for the conversation.
"Bridge Support Team"
Current conversation status - 'ACTIVE' for visible conversations, 'GHOST' for invisible until first interaction.
ACTIVE, GHOST, RELEASED, NOT_ASSIGNED_TO_HUMAN, BLOCKED "ACTIVE"
Was this page helpful?